fix install paths to work for multilib
[processor-sdk/open-amp.git] / CMakeLists.txt
1 cmake_minimum_required (VERSION 2.6)
4 # The version number
5 set (OPENAMP_VERSION_MAJOR 1)
6 set (OPENAMP_VERSION_MINOR 0)
8 list (APPEND CMAKE_MODULE_PATH
9   "${CMAKE_SOURCE_DIR}/cmake"
10   "${CMAKE_SOURCE_DIR}/cmake/modules"
11   "${CMAKE_SOURCE_DIR}/cmake/platforms")
13 project (open_amp)
14 enable_language(C ASM)
16 include (CheckIncludeFiles)
17 include (CheckCSourceCompiles)
18 include (collect)
19 include (options)
20 include (depends)
21 enable_testing ()
23 set (OPENAMP_ROOT_DIR "${CMAKE_CURRENT_SOURCE_DIR}")
24 set (OPENAMP_BIN_ROOT "${CMAKE_CURRENT_BINARY_DIR}")
26 if (WITH_OBSOLETE)
27   add_subdirectory (obsolete)
28 endif (WITH_OBSOLETE)
30 add_subdirectory (lib)
32 if (WITH_APPS)
33   add_subdirectory (apps)
34 endif (WITH_APPS)
36 # vim: expandtab:ts=2:sw=2:smartindent